Skip to main content
`Ctrl`+`K`

# PetscDeviceContextGetDeviceType

Get the `PetscDeviceType` for a `PetscDeviceContext`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextGetDeviceType(PetscDeviceContext dctx, PetscDeviceType *type)

Not Collective

## Input Parameter

- dctx - The `PetscDeviceContext`

## Output Parameter

- type - The `PetscDeviceType`

## Note

This routine is a convenience shorthand for `PetscDeviceContextGetDevice()` -> `PetscDeviceGetType()`.

## See Also

`PetscDeviceType`, `PetscDeviceContextGetDevice()`, `PetscDeviceGetType()`, `PetscDevice`

## Level

beginner

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages